#### D.5.2.5 chern

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chern(s); s list of polynomials

Return:
  list of polynomials

Purpose:
  computes the list of the Chern classes up to degree N in terms of the Segre classes from s

Note:

Example:

    LIB "chern.lib";
    ring r = 0, (s(1..3)), dp;
    list l=s(1..3);
    // Chern classes in Segre classes s(1), s(2), s(3)
    print( chern(l) );
    // This procedure is inverse to segre(...). Indeed:
    print( segre(chern(l), 3) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.